group "CommodityFreightFlatRate.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 2 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
flatRate?, flatRateAmount?

Content Model Elements (2):

  flatRate, flatRateAmount

Known Usage Locations

- In definitions of global complexTypes (2):
  FixedPriceLeg, FloatingPriceLeg

Annotation
The Flat Rate, applicable to Wet Voyager Charter Freight Swaps.
XML Source (w/o annotations (3); see within schema source)

<xsd:group name="CommodityFreightFlatRate.model"> <xsd:sequence> <xsd:element minOccurs="0" name="flatRate" type="FlatRateEnum"/> <xsd:element minOccurs="0" name="flatRateAmount" type="NonNegativeMoney"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 2/2)
flatRate

  Type: | FlatRateEnum, simple content

  Whether the Flat Rate is the New Worldwide Tanker Nominal Freight Scale for the Freight Index Route taken at the Trade Date of the transaction or taken on each Pricing Date.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Fixed" | - | The Flat Rate will be the New Worldwide Tanker Nominal Freight Scale for the Freight Index Route for the Trade Date for the transaction. See: http://www.FpML.org
  "Floating" | - | The Flat Rate for each Pricing Date will be the New Worldwide Tanker Nominal Freight Scale for the Freight Index Route for the Pricing Date.. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="flatRate" type="FlatRateEnum"/>

flatRateAmount

  Type: | NonNegativeMoney, complex content

  If flatRate is set to "Fixed", the actual value of the Flat Rate.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="flatRateAmount" type="NonNegativeMoney"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.